Bug 1610156 (CVE-2018-5816) - CVE-2018-5816 LibRaw: Integer overflow in internal/dcraw_common.cpp:identify() allows for denial of service
Summary: CVE-2018-5816 LibRaw: Integer overflow in internal/dcraw_common.cpp:identify(...
Status: CLOSED NOTABUG
Alias: CVE-2018-5816
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20180722,repor...
Keywords: Security
Depends On: 1610159 1610157 1610158 1610160
Blocks: 1610155
TreeView+ depends on / blocked
 
Reported: 2018-07-31 04:56 UTC by Sam Fowler
Modified: 2019-06-08 23:04 UTC (History)
7 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-07-31 14:40:43 UTC


Attachments (Terms of Use)

Description Sam Fowler 2018-07-31 04:56:34 UTC
LibRaw versions prior to 0.18.12 are vulnerable to an integer overflow in the internal/dcraw_common.cpp:identify() function. An attacker could exploit this to cause an divide-by-zero and resultant denial of service via a specially crafted NOKIARAW file.

This vulnerability was caused by an incomplete fix to CVE-2018-5804.


Reference:

http://seclists.org/bugtraq/2018/Jul/58

Comment 1 Sam Fowler 2018-07-31 04:59:16 UTC
Created LibRaw tracking bugs for this issue:

Affects: epel-6 [bug 1610159]
Affects: fedora-all [bug 1610157]


Created mingw-LibRaw tracking bugs for this issue:

Affects: fedora-all [bug 1610158]

Comment 3 Stefan Cornelius 2018-07-31 12:59:41 UTC
This looks like the patch:
https://github.com/LibRaw/LibRaw/commit/4a3e68a41cf6d67fd83cffd2651d97d75dffcb57

Comment 4 Stefan Cornelius 2018-07-31 14:40:43 UTC
I believed this was introduced via https://github.com/LibRaw/LibRaw/commit/d5715aa86a83c756e38fdbae0e034e5a07901d49

This is not in RHEL7.

Comment 5 Stefan Cornelius 2018-07-31 14:40:52 UTC
Statement:

This issue did not affect the versions of LibRaw as shipped with Red Hat Enterprise Linux 7.

Comment 6 Debarshi Ray 2018-09-27 13:54:18 UTC
This was fixed in LibRaw 0.19.0-Beta6 and 0.18.12.


Note You need to log in before you can comment on or make changes to this bug.